clear;
sid = 'car4';
switch sid
    case 'pktest02'
        sfno = 1;
        fno = 300;
        load('results\pktest02\error_L1');
        load('results\pktest02\error_sdp');
        load('results\pktest02\error_cv');
        load('results\pktest02\error_ms');
        load('results\pktest02\error_es');
        tsize = [12 15];
    case 'birch\_seq\_mb'
        sfno = 1;
        fno = 93;
        load('results\birch_seq_mb\error_L1');
        load('results\birch_seq_mb\error_sdp');
        load('results\birch_seq_mb\error_cv');
        load('results\birch_seq_mb\error_ms');
        load('results\birch_seq_mb\error_es');
        tsize = [15 12];
    case 'oneleaveshop'
        sfno = 129;
        fno = 150;
        load('results\oneleaveshop\error_L1');
        load('results\oneleaveshop\error_sdp');
        load('results\oneleaveshop\error_cv');
        load('results\oneleaveshop\error_ms');
        load('results\oneleaveshop\error_es');
        tsize = [18 10];
    case 'V4V1\_7\_7'
        sfno = 1;
        fno = 300;
        tsize = [18 10];
        load('results\V4V1_7_7\error_L1');
        load('results\V4V1_7_7\error_sdp');
        load('results\V4V1_7_7\error_cv');
        load('results\V4V1_7_7\error_ms');
        load('results\V4V1_7_7\error_es');
    case 'car4'
        sfno = 1;
        fno = 300;
        tsize = [18 10];
        load('results\car4\error_L1');
        load('results\car4\error_sdp');
        load('results\car4\error_cv');
        load('results\car4\error_ms');
        load('results\car4\error_es');
end

plot(1:length(err_L1), err_L1,'-m', 1:length(err_ms), err_ms,'-.c',1:length(err_cv),err_cv,'--b',1:length(err_sdp),err_sdp,'-.r',1:length(err_es),err_es,'--g','LineWidth',3);
legend('L1', 'MS', 'CV', 'AAPF', 'ES',2);
set(gca,'FontSize',20);
xlabel('frame number');
ylabel('position error (pixel)');
title(sid);
